Bug 102697 - Misleading message in 'su' info document
Misleading message in 'su' info document
Status: CLOSED RAWHIDE
Product: Red Hat Linux Beta
Classification: Retired
Component: coreutils (Show other bugs)
beta1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
:
Depends On:
Blocks: CambridgeTarget 158740
  Show dependency treegraph
 
Reported: 2003-08-19 19:00 EDT by Bruce A. Locke
Modified: 2007-04-18 12:56 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-09-28 02:41:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Bruce A. Locke 2003-08-19 19:00:59 EDT
[The following was originally sent to rhl-devel-list and is being posted on
bugzilla by request.]

I'm sure by now most of you have read the "Why GNU 'su' does not support
the 'wheel' group" rant from RMS written years ago.  If you have not
seen it yet do a quick 'info su' and scroll down to the bottom.

What surprises me is this has not been pulled from the 'su' info page
years(?) after pam_wheel showed up in pam.  The statement that GNU 'su'
does not support the 'wheel' group may be technically true in the form
shipped by the GNU but it is misleading when used in Red Hat.  If I were
looking for wheel support and decided to check the su info page (as
suggested by the su man page) I would have read this statement and may
never have figured out the functionality was actually being provided!

In my opinion such historical baggage is harmful and should be pulled
from at least Red Hat's copy of the 'su' info page.
Comment 1 Michael K. Johnson 2003-08-20 09:57:56 EDT
When I first "PAMified" su, I removed the rant and replaced it with
a description of how the modified su worked.  This patch must have
been dropped at some point, and it definitely needs to be recovered.
The rant is definitely a documentation bug that needs to be fixed.
Comment 2 Tim Waugh 2003-08-20 10:25:19 EDT
Please try 5.0-14.
Comment 3 Bruce A. Locke 2003-09-28 02:41:28 EDT
Bug is fixed.

Note You need to log in before you can comment on or make changes to this bug.